Skip to main content
GET
/
v1
/
failure-rules
List failure detection rules for the tenant
curl --request GET \
  --url https://api.trulayer.ai/v1/failure-rules \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "metric": "error_rate",
      "operator": "gt",
      "threshold": 123,
      "window_secs": 300,
      "severity": "medium",
      "enabled": true,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.trulayer.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

SDK API key (tl_...) or Clerk session JWT

Response

Failure rules list

items
object[]
required